aboutsummaryrefslogtreecommitdiff
path: root/games/sdlmame/sdlmame.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/sdlmame/sdlmame.SlackBuild')
-rw-r--r--games/sdlmame/sdlmame.SlackBuild89
1 files changed, 89 insertions, 0 deletions
diff --git a/games/sdlmame/sdlmame.SlackBuild b/games/sdlmame/sdlmame.SlackBuild
new file mode 100644
index 000000000000..e29ce625b4a0
--- /dev/null
+++ b/games/sdlmame/sdlmame.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware (and Slamd64) build script for sdlmame
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=sdlmame
+VERSION=${VERSION:-0.131u2}
+SRCVER=$( echo $VERSION | sed 's/\.//g' )
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-fPIC"
+ EXTRAMAKEOPT="PTR64=1"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM$SRCVER
+unzip $CWD/$PRGNAM$SRCVER.zip
+cd $PRGNAM$SRCVER
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+# This patch makes sdlmame look for its config file (mame.ini) in
+# $HOME/.mame, then /etc.
+zcat $CWD/ini_path.diff.gz | patch -p1
+
+# The MAME debugger requires GConf. If you really really want the
+# debugger, install GConf, then remove the NO_DEBUGGER=1 NO_X11=1 below.
+# (Note: the NO_X11 doesn't mean it won't work in X!)
+make NO_DEBUGGER=1 NO_X11=1 OPTIMIZE=3 ARCHOPTS="$SLKCFLAGS" $EXTRAMAKEOPT
+
+# There is no "make install" target, just copy everything where it goes.
+# Binaries are already stripped.
+mkdir -p $PKG/usr/games
+cp \
+ mame chdman jedutil ldverify ldresample regrep romcmp testkeys runtest \
+ $PKG/usr/games
+
+mkdir -p $PKG/etc
+cat $CWD/mame.ini > $PKG/etc/mame.ini.new
+
+# Create empty dirs for the user to populate with ROMs and such.
+for i in roms samples artwork ctrlr font cheat; do
+ mkdir -p $PKG/usr/share/games/mame/$i
+done
+
+cp ui.bdf $PKG/usr/share/games/mame/font
+
+# Man pages, .desktop, and icon borrowed from Ludovic Lechapt's Debian package.
+mkdir -p $PKG/usr/man/man6
+for i in chdman jedutil ldverify romcmp testkeys; do
+ gzip -9c $CWD/man/$i.6 > $PKG/usr/man/man6/$i.6.gz
+done
+
+sed 's/@VERSION@/'$VERSION'/g' < $CWD/man/mame.6 | gzip -9c > $PKG/usr/man/man6/mame.6.gz
+
+mkdir -p $PKG/usr/share/applications
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/mame.xpm $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp *.txt docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz